# MatPartitioningScotchSetMapping

Activates architecture mapping for the partitioning algorithm. Architecture mapping tries to enhance the quality of partitioning by using network topology information.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode PETSCMAT_DLLEXPORT MatPartitioningScotchSetMapping(MatPartitioning part)

### Input Parameter

part -the partitioning context

### See Also

MatPartitioningScotchSetArch(),MatPartitioningScotchSetHostList()

Level:advanced
Location: src/mat/partition/impls/scotch/scotch.c
Index of all MatOrderings routines
Table of Contents for all manual pages
Index of all manual pages